apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    backups.opsperator.io/driver: ssh
    backups.opsperator.io/interval: daily
    backups.opsperator.io/preferredtime: "15"
    backups.opsperator.io/secret: backups-medusa-kube
    backups.opsperator.io/service: backups-medusa-kube
    name: medusa-kube
  name: medusa-kube
  namespace: ci
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      name: medusa-kube
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        name: medusa-kube
    spec:
      containers:
      - env:
        - name: ADMIN_PASS
          valueFrom:
            secretKeyRef:
              key: admin-password
              name: medusa-kube
        - name: ADMIN_USER
          valueFrom:
            secretKeyRef:
              key: admin-user
              name: medusa-kube
        - name: API_KEY
          valueFrom:
            secretKeyRef:
              key: api-key
              name: medusa-kube
        - name: DOWNLOAD_URL
          value: https://sab-completed.ci.apps.intra.unetresgrossebite.com
        - name: SMTP_FROM
          value: medusa@ci.apps.intra.unetresgrossebite.com
        - name: SMTP_RELAY
          value: smtp.vms.intra.unetresgrossebite.com
        - name: SMTP_TO
          value: admin0@ci.apps.intra.unetresgrossebite.com
        - name: TZ
          value: Europe/Paris
        image: registry.gitlab.com/synacksynack/opsperator/docker-medusa:master
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 30
          httpGet:
            path: /
            port: 8080
            scheme: HTTP
          initialDelaySeconds: 30
          periodSeconds: 20
          successThreshold: 1
          timeoutSeconds: 8
        name: medusa
        ports:
        - containerPort: 8080
          protocol: TCP
        readinessProbe:
          failureThreshold: 3
          httpGet:
            path: /
            port: 8080
            scheme: HTTP
          initialDelaySeconds: 5
          periodSeconds: 20
          successThreshold: 1
          timeoutSeconds: 5
        resources:
          limits:
            cpu: 300m
            memory: 768Mi
          requests:
            cpu: 50m
            memory: 256Mi
        volumeMounts:
        - mountPath: /config
          name: data
          subPath: config
        - mountPath: /download
          name: data
          subPath: download
        - mountPath: /tv
          name: data
          subPath: tv
        - mountPath: /anime
          name: data
          subPath: anime
      - image: registry.gitlab.com/synacksynack/opsperator/docker-sshd:master
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 3
          initialDelaySeconds: 30
          periodSeconds: 10
          successThreshold: 1
          tcpSocket:
            port: 2222
          timeoutSeconds: 3
        name: sshd
        ports:
        - containerPort: 2222
          protocol: TCP
        readinessProbe:
          failureThreshold: 3
          initialDelaySeconds: 30
          periodSeconds: 10
          successThreshold: 1
          tcpSocket:
            port: 2222
          timeoutSeconds: 1
        resources:
          limits:
            cpu: 100m
            memory: 512Mi
          requests:
            cpu: 10m
            memory: 128Mi
        volumeMounts:
        - mountPath: /.ssh/id_rsa.pub
          name: ssh
          subPath: id_rsa.pub
        - mountPath: /backups
          name: data
      volumes:
      - emptyDir: {}
        name: data
      - name: ssh
        secret:
          defaultMode: 420
          secretName: backups-medusa-kube
